<?php
/**
 * Online shop.
 *
 * @package HostCMS 6\Shop
 * @version 6.x
 * @author Hostmake LLC
 * @copyright © 2005-2012 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 */
return array(
	'model_name' => 'Online store orders',
	'shops_link_order' => "Order",
	'shops_link_order_add' => "Add",
	'show_order_title' => "Orders of online store \"%s\"",
	'order_add_form_title' => "Add order information",
	'order_edit_form_title' => "Edit order information",
	'tab2' => 'Contact details',
	'tab3' => 'Order description',
	'invoice' => "<acronym title=\"Number of arranged order\">Order number</acronym>",
	'datetime' => "<acronym title=\"Date and time when the order was placed\">Order date</acronym>",
	'siteuser_id' => "<acronym title=\"User (customer) code\">User code</acronym>",
	'order_currency' => "<acronym title=\"Payment currency of the order\">Currency</acronym>",
	'paid' => '<acronym title="Order payment status">Paid</acronym>',
	'canceled' => '<acronym title="Order cancellation status">Cancelled</acronym>',
	'order_items_link' => "Pruducts",
	'payment_datetime' => "<acronym title=\"Date when the order was paid\">Payment date</acronym>",
	'system_of_pay' => "<acronym title=\"Payment system by which the order will be paid\">Payment system</acronym>",
	'show_order_status_link' => 'Order statuses reference',
	'print' => "Print",
	'order_card' => "Order card %s from %s",
	'status_datetime' => '<acronym title="Date/time of modifying order status">Modifying date of order status</acronym>',
	'ip' => '<acronym title="IP-address of the customer">IP</acronym>',
	'type_of_delivery' => "<acronym title=\"Delivery types\">Delivery types</acronym>",
	'shop_delivery_condition_id' => "Delivery terms",
	'postcode' => "<acronym title=\"Delivery post code\">Post code</acronym>",
	'address' => "<acronym title=\"Delivery address\">Delivery address</acronym>",
	'surname' => '<acronym title="Customer\'s surname">Surname</acronym>',
	'name' => '<acronym title="Customer\'s name">Name</acronym>',
	'patronymic' => '<acronym title="Отчество заказчика">Отчество</acronym>',
	'company' => '<acronym title="Customer\'s company name">Company</acronym>',
	'phone' => "<acronym title=\"Customer's phone\">Phone</acronym>",
	'fax' => '<acronym title="Customer\'s fax">Fax</acronym>',
	'email' => '<acronym title="Customer\'s e-mail">E-mail</acronym>',
	'description' => '<acronym title="Order description">Order description</acronym>',
	'system_information' => '<acronym title="Additional order information">Order information</acronym>',
	'delivery_information' => '<acronym title="Sending information">Sending information</acronym>',
	'shop_id' => 'Shop id',
	'id' => 'Id',
	'markDeleted_success' => "Order information deleted successfully!",
	'recalc_order_delivery_sum' => "Recalculate delivery price",
	'order_card' => "Order card",
	'order_card_supplier' => "Supplier",
	'order_card_inn_kpp' => "Taxpayer ID/RVC",
	'order_card_ogrn' => 'PSRN',
	'order_card_address' => "Address",
	'order_card_phone' => "Phone",
	'order_card_fax' => 'Fax',
	'order_card_email' => 'E-mail',
	'order_card_site' => "Website",
	'payer' => "Payer",
	'order_card_contact_person' => "Contact person",
	'order_card_site_user' => "Site user",
	'order_card_site_user_id' => "id",
	'table_description' => "Description",
	'table_mark' => "Marking of goods",
	'table_mesures' => "Measurement unit",
	'table_price' => "Price",
	'table_amount' => "Amount",
	'table_nds_tax' => "Tax",
	'table_nds_value' => "Tax value",
	'table_amount_value' => "Amount value",
	'table_nds' => "Including tax:",
	'table_all_to_pay' => "Total to Pay:",
	'order_card_system_of_pay' => "Payment system",
	'order_card_status_of_pay' => "Order has been paid",
	'order_card_status_of_pay_yes' => "Yes",
	'order_card_status_of_pay_no' => "No",
	'order_card_cancel' => "Order canceled",
	'order_card_cancel_yes' => "Yes",
	'order_card_cancel_no' => "No",
	'order_card_order_status' => "Order status",
	'order_card_type_of_delivery' => "Delivery type",
	'order_card_description' => "Order description",
	'cond_of_delivery_duplicate' => "Внимание при выборе доставки было выбрано несколько одинаковых условий доставки для типа \"%s\". Было оставлено условие доставки (код %s) с наименьшей ценой, рекомендуем проверить условия доставки для данного типа.",
	'shop_order_admin_subject' => 'Order No. %1$s of %3$s in "%2$s"',
	'delete_success' => 'Item deleted successfully!',
	'undelete_success' => 'Item restored successfully!',
'changeStatusPaid_success' => 'Status of the order successfully changed',
'edit_success' => "Order information added successfully!",
'order_card_system_info' => 'Order information',
'cond_of_delivery_add_form_price_order' => "<acronym title=\"Amount of ordered products\">Order amount</acronym>",
'show_order_status' => '<acronym title="Order status">Order status</acronym>',
'order_card_dt' => "Order card %s from %s",
);