<?php

defined('HOSTCMS') || exit('HostCMS: access denied.');

/**
 * Online shop.
 *
 * @package HostCMS 6\Shop
 * @version 6.x
 * @author Hostmake LLC
 * @copyright © 2005-2012 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 */
class Shop_Tax_Controller_Edit extends Admin_Form_Action_Controller_Type_Edit
{
	public function setObject($object)
	{
		parent::setObject($object);

		$title = $this->_object->id
			? Core::_('Shop_Tax.tax_edit_form_title')
			: Core::_('Shop_Tax.tax_add_form_title');
		
		$this->getField('rate')->format(
			array(
				'maxlen' => array('value' => 5)
			)
		);

		$this->title($title);

		return $this;
	}
}