<?php

defined('HOSTCMS') || exit('HostCMS: access denied.');

/**
 * Trash.
 *
 * @package HostCMS 6\Trash
 * @version 6.x
 * @author Hostmake LLC
 * @copyright © 2005-2012 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 */
class Trash_Entity extends Core_Entity
{
	public $id = NULL;
	public $table_name = NULL;
	public $name = NULL;
	public $count = NULL;

	protected $_modelName = 'trash';

	protected function _loadColumns()
	{
		return $this;
	}

	public function getPrimaryKeyName()
	{
		return 'id';
	}

	protected $_tableColums = array();

	public function setTableColums($tableColums)
	{
		$this->_tableColums = $tableColums;
		return $this;
	}

	public function getTableColums()
	{
		return $this->_tableColums;
	}

	/**
	 * Delete object from database
	 * @param mixed $primaryKey primary key for deleting object
	 * @return Core_Entity
	 */
	public function delete($primaryKey = NULL)
	{
		$Trash_Table_Dataset = new Trash_Table_Dataset($this->table_name);
		$aTrash_Table_Items = $Trash_Table_Dataset->getObjects();
		
		foreach ($aTrash_Table_Items as $oTrash_Table_Item)
		{
			$oTrash_Table_Item->delete();
		}
		return $this;
	}
}