<?php

defined('HOSTCMS') || exit('HostCMS: access denied.');

/**
 * Administration center users.
 *
 * @package HostCMS 6\User
 * @version 6.x
 * @author Hostmake LLC
 * @copyright © 2005-2012 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 */
class User_Site_Form_Model extends Admin_Form_Model
{
	protected $_tableName = 'admin_forms';
	protected $_modelName = 'user_site_form';

	public $name = NULL;
	public $img = 0;

	protected function _setAccess($access_value)
	{
		$oAdmin_Form = Core_Entity::factory('Admin_Form', $this->id);
		$aAdmin_Form_Actions = $oAdmin_Form->Admin_Form_Actions->findAll();

		foreach ($aAdmin_Form_Actions as $oAdmin_Form_Actions)
		{
			$oUser_Site_Form_Action = Core_Entity::factory('User_Site_Form_Action', $oAdmin_Form_Actions->id);
			$oUser_Site_Form_Action->access = $access_value;
			$oUser_Site_Form_Action->save();
		}
	}

	public function allowActions()
	{
		$this->_setAccess(1);
		return $this;
	}

	public function denyActions()
	{
		$this->_setAccess(0);
		return $this;
	}
}