<?php

defined('HOSTCMS') || exit('HostCMS: access denied.');

/**
 * br entity
 *
 * @package HostCMS 6\Core\Html
 * @version 6.x
 * @author Hostmake LLC
 * @copyright © 2005-2012 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 */
class Core_Html_Entity_Br extends Core_Html_Entity
{
	protected $_useAttrCommon = FALSE;
	protected $_useAttrEvent = FALSE;
	
	protected $_allowedProperties = array(
		'clear'
	);
	
	/**
	 * Executes the business logic.
	 */
	public function execute()
	{
		$aAttr = $this->getAttrsString();

		echo PHP_EOL;
		
		?><br <?php echo implode(' ', $aAttr) ?>/><?php
	}
}