<?php
/**
 * Online shop.
 *
 * @package HostCMS 6\Shop
 * @version 6.x
 * @author Hostmake LLC
 * @copyright © 2005-2012 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 */
return array(
	'model_name' => 'Заказы магазина',
	'shops_link_order' => "Заказ",
	'shops_link_order_add' => "Добавить",
	'show_order_title' => "Заказы магазина \"%s\"",
	'order_add_form_title' => "Добавление информации о заказе",
	'order_edit_form_title' => "Редактирование информации о заказе",
	'tab2' => 'Контактные данные',
	'tab3' => 'Описание заказа',
	'invoice' => "<acronym title=\"Номер оформленного заказа\">Номер заказа</acronym>",
	'datetime' => "<acronym title=\"Дата и время, когда был сделан заказ\">Дата заказа</acronym>",
	'siteuser_id' => "<acronym title=\"Код пользователя (заказчика)\">Код пользователя</acronym>",
	'cond_of_delivery_add_form_price_order' => "<acronym title=\"Сумма заказанных товаров\">Сумма заказа</acronym>",
	'order_currency' => "<acronym title=\"Валюта, в которой будет оплачиваться заказ\">Валюта</acronym>",
	'paid' => '<acronym title="Статус оплаты заказа">Оплачен</acronym>',
	'canceled' => '<acronym title="Статус отмены товара">Отменен</acronym>',
	'order_items_link' => "Товары",
	'payment_datetime' => "<acronym title=\"Дата, когда был оплачен заказ\">Дата оплаты</acronym>",
	'system_of_pay' => "<acronym title=\"Платежная система, с помощью которой будет оплачен заказ\">Платежная система</acronym>",
	'show_order_status' => '<acronym title="Статус заказа">Статус заказа</acronym>',
	'print' => "Печать",
	'order_card' => "Карточка заказа",
	'status_datetime' => '<acronym title="Дата-время именения статуса заказа">Дата изменения статуса заказа</acronym>',
	'ip' => '<acronym title="IP-адрес заказчика">IP-адрес заказчика</acronym>',
	'type_of_delivery' => "<acronym title=\"Типы доставок\">Типы доставок</acronym>",
	'shop_delivery_condition_id' => "Условия доставки",
	'postcode' => "<acronym title=\"Почтовый индекс адреса, по которому нужно доставить заказ\">Индекс</acronym>",
	'address' => "<acronym title=\"Адрес, по которому нужно доставить заказ\">Адрес</acronym>",
	'surname' => '<acronym title="Фамилия заказчика">Фамилия</acronym>',
	'name' => '<acronym title="Имя заказчика">Имя</acronym>',
	'patronymic' => '<acronym title="Отчество заказчика">Отчество</acronym>',
	'company' => '<acronym title="Название компании заказчика">Компания</acronym>',
	'phone' => "<acronym title=\"Контактный телефон заказчика\">Телефон</acronym>",
	'fax' => '<acronym title="Факс заказчика">Факс</acronym>',
	'email' => '<acronym title="E-mail заказчика">E-mail</acronym>',
	'description' => '<acronym title="Описание заказа">Описание заказа</acronym>',
	'system_information' => '<acronym title="Дополнительная информация о заказе">Информация о заказе</acronym>',
	'delivery_information' => '<acronym title="Информация об отправлении">Информация об отправлении</acronym>',
	'shop_id' => 'Идентификатор магазина',
	'id' => 'Идентификатор',
	'markDeleted_success' => "Информация о заказе успешно удалена!",
	'recalc_order_delivery_sum' => "Пересчитать стоимость доставки",
	'order_card_dt' => "Карточка заказа %s от %s",
	'order_card_supplier' => "Поставщик",
	'order_card_inn_kpp' => "ИНН/КПП",
	'order_card_ogrn' => 'ОГРН',
	'order_card_address' => "Адрес",
	'order_card_phone' => 'Телефон',
	'order_card_fax' => "Факс",
	'order_card_email' => "E-Mail",
	'order_card_site' => "Сайт",
	'payer' => "Плательщик",
	'order_card_contact_person' => "Контактное лицо",
	'order_card_site_user' => "Пользователь",
	'order_card_site_user_id' => "код",
	'table_description' => "Наименование",
	'table_mark' => "Артикул",
	'table_mesures' => "Ед. изм.",
	'table_price' => "Цена",
	'table_amount' => "Кол-во",
	'table_nds_tax' => "Ставка налога",
	'table_nds_value' => "Налог",
	'table_amount_value' => "Сумма",
	'table_nds' => "В том числе налог:",
	'table_all_to_pay' => "Всего к оплате:",
	'order_card_system_of_pay' => "Платежная система",
	'order_card_status_of_pay' => "Оплачен",
	'order_card_status_of_pay_yes' => "Да",
	'order_card_status_of_pay_no' => "Нет",
	'order_card_cancel' => "Отменен",
	'order_card_cancel_yes' => "Да",
	'order_card_cancel_no' => "Нет",
	'order_card_order_status' => "Статус заказа",
	'order_card_type_of_delivery' => "Тип доставки",
	'order_card_description' => "Описание заказа",
	'cond_of_delivery_duplicate' => "Внимание при выборе доставки было выбрано несколько одинаковых условий доставки для типа \"%s\". Было оставлено условие доставки (код %s) с наименьшей ценой, рекомендуем проверить условия доставки для данного типа.",
	'shop_order_admin_subject' => 'Заказ N %1$s от %3$s в "%2$s"',
	'delete_success' => 'Элемент удален!',
	'undelete_success' => 'Элемент восстановлен!',
	'changeStatusPaid_success' => 'Статус заказа успешно изменен',
'edit_success' => "Информация о заказе успешно добавлена!",
'order_card_system_info' => 'Информация о заказе',
'show_order_status_link' => 'Справочник статусов заказа',
);